import 'package:retgoo_sdk/lang/translation.dart';

Map<String, Map<Language, String>> get defaultTranslations => {
      "def.languageCode": {
        Language.en: "en",
        Language.id: "id",
      },
      "lbl.username": {
        Language.en: "Username",
        Language.id: "Nama Pengguna",
      },
      "lbl.login": {
        Language.en: "Login",
        Language.id: "Login",
      },
      "lbl.login_description": {
        Language.en: "Please login to continue",
        Language.id: "Silakan masuk untuk melanjutkan",
      },
      "lbl.activities": {
        Language.en: "Activities",
        Language.id: "Aktivitas",
      },
      "lbl.activities_description": {
        Language.en: "Current activity on this process",
        Language.id: "Aktivitas terkini pada proses ini",
      },
      "lbl.password": {
        Language.en: "Password",
        Language.id: "Kata Sandi",
      },
      "lbl.find_caption": {
        Language.en: "Type to find",
        Language.id: "Ketik untuk mencari",
      },
      "lbl.no_description": {
        Language.en: "description unavailable",
        Language.id: "tidak ada deskripsi",
      },
      "lbl.not_implemented": {
        Language.en: "NOT FOUND",
        Language.id: "TIDAK DITEMUKAN",
      },
      "lbl.not_implemented_description": {
        Language.en:
            "This form is currently unavailable.\nPlease contact the developer.",
        Language.id: "Form ini tidak tersedia.\nSilakan hubungi pengembang.",
      },
      "lbl.select_user": {
        Language.en: "Choose User",
        Language.id: "Pilih Pengguna",
      },
      "btn.login": {
        Language.en: "LOGIN NOW",
        Language.id: "MASUK SEKARANG",
      },
      "btn.switch_user": {
        Language.en: "SWITCH USER",
        Language.id: "GANTI USER",
      },
      "menu.shortcuts": {
        Language.en: "Shortcuts",
        Language.id: "Proses Bisnis",
      },
      "menu.tasks": {
        Language.en: "Tasks",
        Language.id: "Tugas",
      },
      "menu.profile": {
        Language.en: "Profile",
        Language.id: "Profil",
      },
      "menu.form": {
        Language.en: "Form",
        Language.id: "Formulir",
      },
      "menu.information": {
        Language.en: "Information",
        Language.id: "Informasi",
      },
      "menu.diagram": {
        Language.en: "Diagram",
        Language.id: "Diagram",
      },
      "menu.close": {
        Language.en: "Close",
        Language.id: "Tutup",
      },
      "home.shortcuts": {
        Language.en: "Shortcuts",
        Language.id: "Proses Bisnis",
      },
      "home.shortcuts_description": {
        Language.en: "The processes you can start",
        Language.id: "Proses yang dapat Anda mulai",
      },
      "home.tasks": {
        Language.en: "Tasks",
        Language.id: "Tugas",
      },
      "home.tasks_description": {
        Language.en: "Job to be done",
        Language.id: "Tugas untuk diselesaikan",
      },
      "tab.todo": {
        Language.en: "Todo",
        Language.id: "Segera",
      },
      "tab.outstanding": {
        Language.en: "Outstanding",
        Language.id: "Kolaborasi",
      },
      "process.info.title": {
        Language.en: "Process Information",
        Language.id: "Informasi Proses",
      },
      "process.info.lbl.business_process": {
        Language.en: "Business Process",
        Language.id: "Proses Bisnis",
      },
      "process.info.lbl.execution": {
        Language.en: "Execution",
        Language.id: "Eksekusi",
      },
      "process.info.name": {
        Language.en: "Name",
        Language.id: "Nama",
      },
      "process.info.version": {
        Language.en: "Version",
        Language.id: "Versi",
      },
      "process.info.process_id": {
        Language.en: "Process ID",
        Language.id: "ID Proses",
      },
      "process.info.created_by": {
        Language.en: "Created by",
        Language.id: "Dibuat oleh",
      },
      "process.info.created_at": {
        Language.en: "At",
        Language.id: "Pada",
      },
      "process.info.time_limit": {
        Language.en: "Time limit",
        Language.id: "Batas waktu",
      },
      "process.info.last_action": {
        Language.en: "Last action",
        Language.id: "Aksi terakhir",
      },
      "process.info.status": {
        Language.en: "Status",
        Language.id: "Status",
      },
      "process.info.lbl.business_challenge": {
        Language.en: "Business Challenge",
        Language.id: "Tantangan Bisnis",
      },
      "process.info.goal": {
        Language.en: "Business Goal",
        Language.id: "Tujuan Bisnis",
      },
      "process.info.owner": {
        Language.en: "Owner",
        Language.id: "Pemiliki",
      },
      "process.info.participants": {
        Language.en: "Participants",
        Language.id: "Partisipan",
      },
      "process.info.duration": {
        Language.en: "Duration",
        Language.id: "Durasi",
      },
      "process.info.lbl.business_values": {
        Language.en: "Business Values",
        Language.id: "Nilai Bisnis",
      },
      "process.info.shareholder": {
        Language.en: "Shareholder",
        Language.id: "Pemegang Saham",
      },
      "process.info.customer": {
        Language.en: "Customer",
        Language.id: "Konsumen",
      },
      "process.info.managerial": {
        Language.en: "Managerial",
        Language.id: "Manajerial",
      },
      "process.info.partner": {
        Language.en: "Partner",
        Language.id: "Rekan",
      },
      "process.info.employee": {
        Language.en: "Employee",
        Language.id: "Karyawan",
      },
      "process.info.social": {
        Language.en: "Social",
        Language.id: "Sosial",
      },
      "process.activity.waiting_for": {
        Language.en: "Waiting for",
        Language.id: "Menunggu",
      },
      "stopwatch.day": {
        Language.en: "d",
        Language.id: "h",
      },
      "stopwatch.hour": {
        Language.en: "h",
        Language.id: "j",
      },
      "stopwatch.minute": {
        Language.en: "m",
        Language.id: "m",
      },
      "stopwatch.second": {
        Language.en: "s",
        Language.id: "d",
      }
    };
