import 'package:firebase_auth/firebase_auth.dart';
import 'package:flutter/material.dart';
import 'package:google_sign_in/google_sign_in.dart';

class LoginPage extends StatefulWidget {
  LoginPage({Key key}) : super(key: key);

  @override
  _LoginPageState createState() => _LoginPageState();
}

class _LoginPageState extends State<LoginPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: buildBody(),
    );
  }

  buildBody() {
    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Image.asset(
            "images/ic_retgoo.png",
            package: "retgoo_sdk",
            height: 80.0,
            width: 80.0,
          ),
          Text.rich(
            TextSpan(children: [
              TextSpan(text: "Mobile "),
              TextSpan(
                  text: "Portal",
                  style: TextStyle(
                    fontWeight: FontWeight.bold,
                  )),
            ]),
            style: TextStyle(
              fontSize: 32.0,
            ),
          ),
          const SizedBox(
            height: 48.0,
          ),
          Card(
            child: InkWell(
              child: Padding(
                padding: const EdgeInsets.all(16.0),
                child: Row(
                  mainAxisSize: MainAxisSize.min,
                  children: [
                    Image.asset(
                      "images/ic_google.png",
                      package: "retgoo_sdk",
                      width: 24.0,
                    ),
                    const SizedBox(
                      width: 8.0,
                    ),
                    Text("Continue With Google"),
                  ],
                ),
              ),
              onTap: () async {
                final googleSign = GoogleSignIn();
                final googleAccount = await googleSign.signIn();
                final authentication = await googleAccount.authentication;

                final AuthCredential credential = GoogleAuthProvider.credential(
                  accessToken: authentication.accessToken,
                  idToken: authentication.idToken,
                );

                final auth = FirebaseAuth.instance;
                await auth.signInWithCredential(credential);
              },
            ),
          )
        ],
      ),
    );
  }
}
