import 'dart:io';

import 'package:flutter/material.dart';
import 'package:retgoo_sdk/retgoo_sdk.dart';

class PortalType {
  static String fromInt(int portalType) {
    switch (portalType) {
      case 1:
        return "Windows";
        break;

      case 10:
        return "Android";
        break;

      case 11:
        return "iOS";
        break;

      case 20:
        return "Web";
        break;
    }

    return "Unknown";
  }

  static int current() {
    if (Platform.isAndroid) {
      return 10;
    }

    if (Platform.isIOS) {
      return 11;
    }

    return 1;
  }

  static IconData assetPath(int portalType) {
    switch (portalType) {
      case 1:
        return RetGooIcon.platform_windows_normal;
        break;

      case 10:
        return RetGooIcon.platform_android_normal;
        break;

      case 11:
        return RetGooIcon.platform_ios_normal;
        break;

      case 20:
        return RetGooIcon.platform_web_normal;
        break;
    }

    return RetGooIcon.platform_windows_normal;
  }
}
