import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:rive/rive.dart';

class LogoRetGoo extends StatefulWidget {
  LogoRetGoo({Key key}) : super(key: key);

  @override
  _LogoRetGooState createState() => _LogoRetGooState();
}

class _LogoRetGooState extends State<LogoRetGoo> {
  Artboard _artboard;
  RiveAnimationController _controller;
  @override
  void initState() {
    super.initState();
    rootBundle
        .load("packages/retgoo_sdk/animations/anim_retgoo.riv")
        .then((data) {
      var file = RiveFile();
      var success = file.import(data);
      if (success) {
        var artboard = file.mainArtboard;
        artboard.addController(_controller = SimpleAnimation("animation2"));
        setState(() {
          _artboard = artboard;
          _controller.isActive = true;
        });
      }
    });
  }

  @override
  void dispose() {
    _controller.isActive = false;
    _controller.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    if (_artboard == null) return Container();
    return Rive(artboard: _artboard);
  }
}
